#include <iostream>
using namespace std;
int main()
{
    int a, b, x, y;
    cin >> a >> b;
    cin >> x >> y;
    int razlikaPrvi = a - x;
    int razlikaDrugi = b - y;
    if (razlikaPrvi == 0 && razlikaDrugi==0) {
        cout << "nijedan";
    }
    if (razlikaDrugi == 0 && razlikaPrvi >= 1) {
        cout << "prvi";
    }
    if (razlikaPrvi == 0 && razlikaDrugi >= 1) {
        cout << "drugi";
    }
    if (razlikaDrugi > 0 && razlikaPrvi > 0) {
        cout << "?";
    }
}